<p-dataList [value]="cpus" [paginator]="true" [rows]="5"
            selectionMode="single">
  <p-header>
    Wybierz procesor
  </p-header>
  <ng-template let-cpu pTemplate="item">
    <div class="custom-table-row">
      <hr>
      <div class="ui-g ui-fluid cpu-item">
        <div class="ui-g-5 ui-md-3" style="text-align:center">
          <img *ngIf="cpu.image" [src]="cpu.image" alt="Logo" height="200" width="200">
        </div>
        <div class="ui-g-3 ui-md-7 cpu-details">
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Nazwa:</div>
            <div class="ui-g-3 ui-sm-2">{{cpu.nazwa}}</div>
            <div class="ui-g-3 ui-sm-2">Producent:</div>
            <div class="ui-g-3 ui-sm-2">{{cpu.producent}}</div>
          </div>
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Typ gniazda:</div>
            <div class="ui-g-3 ui-sm-2">{{cpu.typGniazda}}</div>
            <div class="ui-g-3 ui-sm-2">Ilość rdzeni:</div>
            <div class="ui-g-3 ui-sm-2">{{cpu.iloscRdzeni}}</div>
          </div>
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Częstotliwość taktowania:</div>
            <div class="ui-g-3 ui-sm-2">{{cpu.czestotliwoscTaktowania}}</div>
            <div class="ui-g-3 ui-sm-2">Pojemność pamięci L2:</div>
            <div class="ui-g-3 ui-sm-2">{{cpu.pojemnoscL2}}</div>
          </div>
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Cena:</div>
            <div class="ui-g-3 ui-sm-2">{{cpu.cena}}</div>
          </div>
        </div>
      </div>
      <button type="button" pButton icon="fa-plus" label="Dodaj" (click)="onAddPrimaryClick(cpu)"></button>
      <hr>
    </div>
  </ng-template>
</p-dataList>
<p-growl [(value)]="msgs"></p-growl>
